import java.io.*;
import java.awt.*;
import java.awt.event.*;

public class Rckspur extends Frame
                  implements Parameter {
  // zeichnet Ameisenspur auf Bildschirm

  static InputStreamReader lies =
    new InputStreamReader(System.in);
  static BufferedReader eing =
    new BufferedReader(lies);

  protected static int schrittzahl;
  protected static int verzgerungszeit;

  protected static void Eingabe() {
    try {
      System.out.print("\n Anzahl Schritte:   ");
      schrittzahl = Integer.parseInt(eing.readLine());
      System.out.print(" Pause (0,1,2,...): ");
      verzgerungszeit = Integer.parseInt(eing.readLine());
      } // Ende try
    catch(IOException e) {}
    } // Ende Eingabe

  public static void main (String[] xy) {
    Eingabe();
    new Rckspur ("Langtons Ameise");
    } // Ende main

  public Rckspur (String text) {
    setTitle(text);
    setSize(fensterbreite, fensterbreite);
    setLocation(10, 10);
    setBackground(new Color(255, 220, 250));
    setVisible(true);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e)
      {System.exit(0);}});
    show();
    } // Ende Rckspur

  public void paint (Graphics g) {
    // Ameise a = new Ameise(g);
    Torusameise a = new Torusameise(g);
    for (int i = 0; i < schrittzahl; i++) {
      a.warte(verzgerungszeit);
      if (a.Farbe() == weiss)
        {a.setzPunkt(schwarz); a.links();}
      else
        {a.setzPunkt(weiss); a.rechts();}
      a.vor();
      } // Ende for
    a.kehrt(); a.warte(3000);
    for (int i = 0; i < schrittzahl / 2; i++) {
      a.warte(verzgerungszeit);
      a.vor();
      if (a.Farbe() == weiss)
        {a.setzPunkt(schwarz); a.links();}
      else
        {a.setzPunkt(weiss); a.rechts();}
      } // Ende for

    } // Ende paint
  
  } // Ende Rckspur
