import java.awt.*;

public class Ameise implements Parameter {
  // definiert Verhalten der Ameise(nwelt)
  
  private   int[][] farbe = new int[N][N];
  protected int     posZeile, posSpalte, richtung;

  Graphics g;

  public Ameise (Graphics g0) {
    g = g0;
    for (int z = 0; z < N; z++)
      for (int s = 0; s < N; s++)
        farbe[z][s] = weiss;
    posZeile = N/2; posSpalte = N/2;
    richtung = ost;
    } // Ende Konstruktor

  public int Farbe()
    {return farbe[posZeile][posSpalte];}

  public int PosZeile()
    {return posZeile;}

  public int PosSpalte()
    {return posSpalte;}

  public int Richtung()
    {return richtung;}

  public String Position()
    {return "(" + posZeile + ", "
                + posSpalte + ") ";}

  public void setzPosZeile (int z)
    {posZeile = z;}

  public void setzPosSpalte (int s)
    {posSpalte = s;}

  public void setzPosition (int z, int s)
    {posZeile = z; posSpalte = s;}

  public void setzRichtung (int r)
    {richtung = r;}

  public void vor() {
    if (richtung == ost)
      {if (posSpalte < N - 1) posSpalte++;}
    else if (richtung == nord)
      {if (posZeile > 0) posZeile--;}
    else if (richtung == west)
      {if (posSpalte > 0) posSpalte--;}
    else if (richtung == sd)
      {if (posZeile < N - 1) posZeile++;}
    } // Ende vor

  public void links()
    {richtung = (richtung + 1) % 4;}

  public void kehrt()
    {richtung = (richtung + 2) % 4;}

  public void rechts()
    {richtung = (richtung + 3) % 4;}

  public void drehe (char ziffer) {
    if (ziffer == '0') links();
    else if (ziffer == '1') rechts();
    } // Ende drehe

  private void setzFarbe (int f) {
    farbe[posZeile][posSpalte] = f;
    g.setColor(farbkonstante[f]);
    } // Ende setzFarbe

  public void setzPunkt (int f) {
    setzFarbe(f);
    g.fillRect(posSpalte * feldbreite,
               posZeile * feldbreite,
               feldbreite, feldbreite);
    } // Ende setzPunkt

  public void setzKreis (int f) {
    setzFarbe(f);
    g.fillOval(posSpalte * feldbreite,
               posZeile * feldbreite,
               feldbreite, feldbreite);
    } // Ende setzKreis

  public void warte (int zeitdauer) {
    try {Thread.sleep(zeitdauer);}
    catch(InterruptedException e) {}
    } // Ende warte

  } // Ende Ameise
