import java.io.*;
import java.awt.*;
import java.awt.event.*;

public class Kornspur extends Spur {
  // zeigt Ameisenspur auf dem Bildschirm

  private static String regel;
  private static int regellnge;

  private int grenzfarbe;
  private int kornfarbe;

  public static void main (String[] eingabe) {
    Eingabe();
    new Kornspur("Lothar sucht Krner");
    } // Ende main

  public Kornspur (String text)
    {super(text);}

  private void Anfangsbelegung (Ameise a) {
    int zA = 20; int sA = 20;
    int breite = 30;
    a.setzPosition(sA, sA);
    a.setzRichtung(ost);
    grenzfarbe = schwarz;
    for (int i = 0; i < 4; i++) {
      for (int j = 0; j < breite; j++)
        {a.setzPunkt(grenzfarbe); a.vor();}
      a.rechts();
      } // Ende for
    kornfarbe = grau;
    for (int i = 0; i < 20; i++) {
      int zZ = (int) (Math.random() * breite);
      int sZ = (int) (Math.random() * breite);
      a.setzPosition(zA + zZ, sA + sZ);
      a.setzKreis(kornfarbe);
      } // Ende for
      a.setzPosition(zA + 1, sA + 1); 
    } // Ende Anfangsbelegung

 public void paint (Graphics g) {
    Ameise a = new Ameise(g);
    Anfangsbelegung(a);
    int zustand = 1;
    for (int i = 0; i < schrittzahl; i++) {
      a.warte(verzgerungszeit);
      if (a.Farbe() == weiss)
        {a.setzPunkt(grau); a.vor();}
      else if (a.Farbe() == kornfarbe)
        {a.setzKreis(weiss); a.vor();}
      else if (a.Farbe() == grenzfarbe)
        switch (zustand) {
          case 1:
            a.rechts(); a.vor();
            a.rechts(); a.vor();
            zustand = 2;
            break;
          case 2:
            a.links(); a.vor();
            a.links(); a.vor();
            zustand = 1;
            break;
          } // Ende switch 
      } // Ende for
    } // Ende paint

  } // Ende Kornspur

