import java.awt.*;
import java.awt.event.*;

public class Ruckerspur extends Spur {
  // zeigt Ameisenspur auf dem Bildschirm

  private static int schrittzahl;
  private static String regel;
  private static int regellnge;
  private static int verzgerungszeit;

  public static void main (String[] eingabe) {
    regel = "1101011";
    schrittzahl = 7;
    verzgerungszeit = 1;
    if (eingabe.length > 0) {
      regel = eingabe[0];
      schrittzahl = Integer.parseInt(eingabe[1]);
      verzgerungszeit = Integer.parseInt(eingabe[2]);
      } // Ende if
    regellnge = regel.length();
    new Ruckerspur("Turks Farbmeise");
    } // Ende main

  public Ruckerspur (String text)
    {super(text);}

  private void Anfangsbelegung (Ameise a) {
    a.setzPosition(100, 100);
    for (int i = 0; i < 20; i++)
      {a.setzPunkt(grau); a.vor();
       a.links(); a.vor(); a.rechts();}
    a.setzPosition(100, 100);
    //for (int i = 0; i < 20; i++)
    //  {a.setzPunkt(schwarz); a.vor();}
    //a.setzPosition(100, 100);
    } // Ende Anfangsbelegung

  public void paint (Graphics g) {
    Ameise a = new Ameise(g);
    Anfangsbelegung(a);
    for (int i = 0; i < schrittzahl; i++) {
      a.warte(verzgerungszeit);
      int f = a.Farbe();
      if (f == 2)
        {a.setzPunkt(f); a.vor();}
      else {
        a.setzPunkt((f + 1) % regellnge);
        a.drehe(regel.charAt(f % regellnge));
        } // Ende else
      a.vor();
      } // Ende for
    } // Ende paint
  
  } // Ende Ruckerspur

